package com.bonus.canteen.core.supply.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.time.LocalDate;
import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpSupplierQuoteVO {
   @ApiModelProperty("询价供应商主键id")
   private Long inquirySupplierId;
   @ApiModelProperty("供应商id")
   private Long supplierId;
   @ApiModelProperty("供应商")
   private String supplierName;
   @ApiModelProperty("供应商评分")
   private BigDecimal supplierScore;
   @ApiModelProperty("报价总金额")
   private Integer quoteAmount;
   @ApiModelProperty("报价时间")
   private LocalDateTime quoteTime;
   @ApiModelProperty("送货日期")
   private LocalDate arrivalTime;
   @ApiModelProperty("决标状态(1-已报价,2-未报价,3-已中标,4-未中标)")
   private Integer bidStatus;
   @ApiModelProperty("备注")
   private String remark;
   @ApiModelProperty("图片")
   List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics;

   public Long getInquirySupplierId() {
      return this.inquirySupplierId;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public String getSupplierName() {
      return this.supplierName;
   }

   public BigDecimal getSupplierScore() {
      return this.supplierScore;
   }

   public Integer getQuoteAmount() {
      return this.quoteAmount;
   }

   public LocalDateTime getQuoteTime() {
      return this.quoteTime;
   }

   public LocalDate getArrivalTime() {
      return this.arrivalTime;
   }

   public Integer getBidStatus() {
      return this.bidStatus;
   }

   public String getRemark() {
      return this.remark;
   }

   public List<DrpQuoteInquiryPicVO> getDrpQuoteInquiryPics() {
      return this.drpQuoteInquiryPics;
   }

   public void setInquirySupplierId(final Long inquirySupplierId) {
      this.inquirySupplierId = inquirySupplierId;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setSupplierName(final String supplierName) {
      this.supplierName = supplierName;
   }

   public void setSupplierScore(final BigDecimal supplierScore) {
      this.supplierScore = supplierScore;
   }

   public void setQuoteAmount(final Integer quoteAmount) {
      this.quoteAmount = quoteAmount;
   }

   public void setQuoteTime(final LocalDateTime quoteTime) {
      this.quoteTime = quoteTime;
   }

   public void setArrivalTime(final LocalDate arrivalTime) {
      this.arrivalTime = arrivalTime;
   }

   public void setBidStatus(final Integer bidStatus) {
      this.bidStatus = bidStatus;
   }

   public void setRemark(final String remark) {
      this.remark = remark;
   }

   public void setDrpQuoteInquiryPics(final List<DrpQuoteInquiryPicVO> drpQuoteInquiryPics) {
      this.drpQuoteInquiryPics = drpQuoteInquiryPics;
   }


   public String toString() {
      Long var10000 = this.getInquirySupplierId();
      return "DrpSupplierQuoteVO(inquirySupplierId=" + var10000 + ", supplierId=" + this.getSupplierId() + ", supplierName=" + this.getSupplierName() + ", supplierScore=" + String.valueOf(this.getSupplierScore()) + ", quoteAmount=" + this.getQuoteAmount() + ", quoteTime=" + String.valueOf(this.getQuoteTime()) + ", arrivalTime=" + String.valueOf(this.getArrivalTime()) + ", bidStatus=" + this.getBidStatus() + ", remark=" + this.getRemark() + ", drpQuoteInquiryPics=" + String.valueOf(this.getDrpQuoteInquiryPics()) + ")";
   }
}
